Bug 691888 - Please include kmsg patch in F15 kernel
Summary: Please include kmsg patch in F15 kernel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kyle McMartin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-29 19:39 UTC by Lennart Poettering
Modified: 2015-09-01 03:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-29 23:44:45 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-03-29 19:39:05 UTC
I'd be thankful if we could get this patch into the F15 kernel:

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=9d90c8d9cde929cbc575098e825d7c29d9f45054

It's not invasive, it's already in Linus tree, and got backported into the current SUSE kernel too, and it would be great if we could have it in F15 too.

This would be very useful for udev, dracut, systemd since we could then log everything with proper userspace facility values to kmsg when we do so from userspace, so that dmesg and other tools can easily distuingish kernel and userspace messages.

Comment 1 Kyle McMartin 2011-03-29 23:44:45 UTC
Gotcha.

Comment 2 Fedora Update System 2011-03-30 18:14:26 UTC
kernel-2.6.38.2-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.38.2-9.fc15

Comment 3 Fedora Update System 2011-04-02 06:01:07 UTC
kernel-2.6.38.2-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.